<template>

      <div class="row justify-center">
        <q-card>
          <q-card-title class="bg-primary text-white">
            {{ username }}
          </q-card-title>
          <q-card-separator/>
          <q-card-main>
            <q-input v-model="name" float-label="Name" />
            <q-input v-model="email" float-label="E-Mail" />
            <q-input v-model="phonenumber" float-label="Phone Number" />
            <q-input v-model="organization" float-label="Organization" />
            <q-input v-model="address" float-label="Address" />
            <q-input v-model="birthdate" float-label="Birthdate" />
            <q-btn @click="deleteuserresumes" class="bg-pink text-white">Delete Resumes</q-btn>
            <q-btn @click="deleteuserjobs" class="bg-purple text-white">Delete Jobs</q-btn>
          </q-card-main>
        </q-card>
      </div>

</template>

<script>
import taleanconnector from './taleanconnector'
// import helper from './helper'
import {
  QLayout,
  QToolbar,
  QToolbarTitle,
  QBtn,
  QIcon,
  QList,
  QListHeader,
  QItem,
  QItemSide,
  QItemMain,
  QItemSeparator,
  QItemTile,
  QCard,
  QCardTitle,
  QCardSeparator,
  QCardMain,
  QSearch,
  // QChipsInput
  QChip,
  QAutocomplete,
  QInput
} from 'quasar'

export default {
  name: 'index',
  components: {
    QLayout,
    QToolbar,
    QToolbarTitle,
    QBtn,
    QIcon,
    QList,
    QListHeader,
    QItem,
    QItemSide,
    QItemMain,
    QItemSeparator,
    QItemTile,
    QCard,
    QCardTitle,
    QCardSeparator,
    QCardMain,
    QSearch,
    // QChipsInput
    QChip,
    QAutocomplete,
    QInput
  },
  data () {
    return {
      name: '',
      email: '',
      address: '',
      phonenumber: '',
      birthdate: '',
      organization: '',
      results: [],
      searchterm: '',
      searchterms: []
    }
  },
  created: function () {
    if (!this.$session.get('loggedin')) {
      this.$router.push('/login')
    }
  },
  computed: {
    username () {
      return this.$session.get('username')
    }
  },
  methods: {
    somethang: function () {
      // this.$store.commit('increment')
      // console.log(this.$store.state.count)
      console.log(this.$session.get('userid'))
      // console.log(window.localStorage)
    },
    deleteuserresumes () {
      taleanconnector.deleteUserResumes(this.$session.get('userid'))
        .then((response) => {
          console.log(response)
        })
        .catch((err) => {
          console.log('error deleting resumes', err)
        })
    },
    deleteuserjobs () {
      taleanconnector.deleteUserJobs(this.$session.get('userid'))
        .then((response) => {
          console.log(response)
        })
        .catch((err) => {
          console.log('error deleting resumes', err)
        })
    }
  },
  mounted () {
  },
  beforeDestroy () {
  }
}
</script>

<style lang="stylus">
</style>
